#ifndef TRAYER_HPP
#define TRAYER_HPP

#include <QAction>
#include <QMenu>
#include <QSystemTrayIcon>
#include <QTimer>
#include "weatherinfo.hpp"

class WinMan;
class trayer : public QObject
{
    Q_OBJECT
private:
    config cfg;
    WinMan &wm;
    QTimer timer;
    QString APPName;
    QSystemTrayIcon trayicon;
    QAction actShow;
    QAction actUpdate;
    QAction actExit;
    QMenu menu;
    WeatherInfo *wi;
public:
    trayer(QString app,  config c, WinMan &WinMan);
    void update(WeatherInfo *info);
public slots:
    void OnClick(QAction *act);
    void Timeout() {
        update(wi);
    };
};

#endif // TRAYER_HPP
